<?php
include("../db.php");
$requestData= $_REQUEST;
$s = $_POST['s'];
$e = $_POST['e'];
$columns = array( 
	0 =>  'name_cus',
	1 =>  'id_scanner',
    2 =>  'mony_cus'
);

$sql = "
SELECT * FROM `cus` left join `member` on `member`.`id_member` = `cus`.`id_member` where `cus`.`cus_active` = 0 and `cus`.`mony_cus` != 0
";
$query=mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "
SELECT * FROM `cus` left join `member` on `member`.`id_member` = `cus`.`id_member` where `cus`.`cus_active` = 0 and `cus`.`mony_cus` != 0
";
if( !empty($requestData['search']['value']) ) {  
	$sql.=" AND ( name_cus LIKE '".$requestData['search']['value']."%'  ";
	$sql.=" OR id_scanner LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR name_member LIKE '".$requestData['search']['value']."%' ";       
	$sql.=" OR mony_cus LIKE '".$requestData['search']['value']."%' )";    
}
$query=mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query); 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
$query=mysqli_query($db, $sql);
$data = array();
while( $row=mysqli_fetch_array($query)) {
	$nestedData=array(); 
	$nestedData[] = $row["name_cus"];
	$nestedData[] = $row["name_member"];
	$nestedData[] = $row["id_scanner"];
	$nestedData[] = $row["mony_cus"];
	
	$data[] = $nestedData;
}



$json_data = array(
			"draw"            => intval( $requestData['draw']),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);

echo json_encode($json_data);

?>



